/// <reference types="node" />
import { Server as HttpServer } from 'http';
import { ServerOptions as HttpsServerOptions } from 'https';
import { ResolvedConfig, ServerOptions } from '..';
import { Connect } from 'types/connect';
import { Logger } from '../logger';
export declare function resolveHttpServer({ proxy }: ServerOptions, app: Connect.Server, httpsOptions?: HttpsServerOptions): Promise<HttpServer>;
export declare function resolveHttpsConfig(config: ResolvedConfig): Promise<HttpsServerOptions | undefined>;
export declare function httpServerStart(httpServer: HttpServer, serverOptions: {
    port: number;
    strictPort: boolean | undefined;
    host: string | undefined;
    logger: Logger;
}): Promise<number>;
