/// <reference types="node" />
import { Server } from 'http';
import { ServerOptions as HttpsServerOptions } from 'https';
import { HMRPayload } from 'types/hmrPayload';
import { ResolvedConfig } from '..';
export declare const HMR_HEADER = "vite-hmr";
export interface WebSocketServer {
    send(payload: HMRPayload): void;
    close(): Promise<void>;
}
export declare function createWebSocketServer(server: Server | null, config: ResolvedConfig, httpsOptions?: HttpsServerOptions): WebSocketServer;
